Bug 192634 - CVE-2006-2444 SNMP NAT netfilter memory corruption
CVE-2006-2444 SNMP NAT netfilter memory corruption
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=moderate,source=vendorsec,repo...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2006-05-22 04:55 EDT by Marcel Holtmann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 07:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-05-22 04:55:29 EDT
The SNMP NAT helper netfilter can cause a memory corruption. The corruption can
be triggered remotely when the ip_nat_snmp_basic module is loaded and traffic on
port 161 or 162 is NATed.

Proposed upstream fix can be found here:

https://lists.netfilter.org/pipermail/netfilter-devel/2006-May/024422.html
Comment 4 Mike Gahagan 2006-07-12 15:41:30 EDT
patch is in, there doesn't look to be a way to reproduce the bug itself reliably.
Comment 6 Red Hat Bugzilla 2006-07-13 07:56:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0580.html

Note You need to log in before you can comment on or make changes to this bug.